# Cilium debug information

#### Cilium environment keys

```
http-idle-timeout:0
tofqdns-proxy-response-max-delay:100ms
proxy-connect-timeout:1
enable-l7-proxy:true
bpf-sock-rev-map-max:262144
cmdref:
kvstore-connectivity-timeout:2m0s
fqdn-regex-compile-lru-size:1024
bpf-ct-global-any-max:262144
enable-ipv4-egress-gateway:false
enable-ipsec:false
ipam:kubernetes
bpf-lb-dev-ip-addr-inherit:
hubble-socket-path:/var/run/cilium/hubble.sock
bgp-announce-lb-ip:false
enable-health-check-nodeport:true
enable-mke:false
http-normalize-path:true
proxy-gid:1337
policy-trigger-interval:1s
trace-payloadlen:128
annotate-k8s-node:true
hubble-recorder-sink-queue-size:1024
ipv4-native-routing-cidr:
exclude-local-address:
enable-local-redirect-policy:false
ip-masq-agent-config-path:/etc/config/ip-masq-agent
gops-port:9890
read-cni-conf:
identity-change-grace-period:5s
bpf-lb-acceleration:disabled
enable-ipv6:false
node-port-bind-protection:true
bpf-map-dynamic-size-ratio:0.0025
hubble-export-file-path:
enable-bandwidth-manager:false
cgroup-root:/run/cilium/cgroupv2
policy-queue-size:100
ipsec-key-file:
bpf-ct-timeout-service-any:1m0s
node-port-algorithm:random
bpf-ct-timeout-regular-tcp-syn:1m0s
egress-masquerade-interfaces:
ipv6-service-range:auto
enable-endpoint-health-checking:true
enable-tracing:false
enable-service-topology:false
k8s-sync-timeout:3m0s
enable-session-affinity:true
auto-create-cilium-node-resource:true
enable-selective-regeneration:true
disable-cnp-status-updates:true
hubble-event-buffer-capacity:4095
kvstore:
prefilter-device:undefined
restore:true
enable-auto-protect-node-port-range:true
enable-wireguard-userspace-fallback:false
monitor-aggregation-flags:all
monitor-aggregation-interval:5s
cluster-id:
endpoint-gc-interval:5m0s
sidecar-istio-proxy-image:cilium/istio_proxy
prepend-iptables-chains:true
endpoint-queue-size:25
lib-dir:/var/lib/cilium
ipv4-service-range:auto
hubble-event-queue-size:0
kvstore-periodic-sync:5m0s
agent-health-port:9876
tofqdns-pre-cache:
endpoint-interface-name-prefix:lxc+
hubble-metrics-server:
endpoint-status:
nodes-gc-interval:5m0s
tofqdns-endpoint-max-ip-per-hostname:50
tunnel-port:0
bpf-lb-bypass-fib-lookup:false
crd-wait-timeout:5m0s
mtu:0
devices:
identity-restore-grace-period:10m0s
force-local-policy-eval-at-source:true
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
kube-proxy-replacement-healthz-bind-address:
http-max-grpc-timeout:0
enable-cilium-endpoint-slice:false
hubble-export-file-compress:false
log-opt:
bpf-lb-dsr-l4-xlate:frontend
log-system-load:false
ipv6-mcast-device:
socket-path:/var/run/cilium/cilium.sock
iptables-lock-timeout:5s
config-dir:/tmp/cilium/config-map
tofqdns-max-deferred-connection-deletes:10000
host-reachable-services-protos:
enable-node-port:true
pprof:false
hubble-recorder-storage-path:/var/run/cilium/pcaps
enable-k8s-api-discovery:false
clustermesh-config:/var/lib/cilium/clustermesh/
enable-ipv4-masquerade:true
http-request-timeout:3600
hubble-listen-address::4244
bpf-ct-timeout-regular-tcp:6h0m0s
hubble-tls-key-file:/var/lib/cilium/tls/hubble/server.key
keep-config:false
enable-k8s-event-handover:false
ipvlan-master-device:undefined
local-router-ipv6:
egress-multi-home-ip-rule-compat:false
k8s-namespace:kube-system
tofqdns-enable-dns-compression:true
k8s-require-ipv4-pod-cidr:false
enable-ipv4:true
cflags:
prometheus-serve-addr:
bpf-policy-map-max:16384
bypass-ip-availability-upon-restore:false
enable-recorder:false
hubble-export-file-max-backups:5
join-cluster:false
proxy-prometheus-port:0
local-router-ipv4:
ipv6-cluster-alloc-cidr:f00d::/64
iptables-random-fully:false
hubble-tls-client-ca-files:/var/lib/cilium/tls/hubble/client-ca.crt
bpf-lb-maglev-hash-seed:JLfvgnHc2kaSUFaI
enable-bpf-tproxy:false
monitor-queue-size:0
enable-host-reachable-services:false
single-cluster-route:false
sockops-enable:false
datapath-mode:veth
allow-localhost:auto
operator-api-serve-addr:127.0.0.1:9234
k8s-service-proxy-name:
bpf-neigh-global-max:524288
unmanaged-pod-watcher-interval:15
envoy-log:
bpf-lb-map-max:65536
k8s-service-cache-size:128
enable-k8s-endpoint-slice:true
enable-host-port:true
max-controller-interval:0
set-cilium-is-up-condition:true
native-routing-cidr:
log-driver:
enable-host-legacy-routing:false
tofqdns-proxy-port:0
kvstore-lease-ttl:15m0s
install-iptables-rules:true
enable-l2-neigh-discovery:true
custom-cni-conf:false
agent-labels:
bpf-lb-maglev-table-size:16381
k8s-api-server:
kvstore-max-consecutive-quorum-errors:2
node-port-range:
enable-ip-masq-agent:false
ipv4-service-loopback-address:169.254.42.1
ipv6-range:auto
enable-custom-calls:false
http-retry-timeout:0
policy-audit-mode:false
kvstore-opt:
enable-well-known-identities:false
tofqdns-dns-reject-response-code:refused
conntrack-gc-interval:0s
bpf-ct-timeout-regular-tcp-fin:10s
enable-health-checking:true
encrypt-interface:
enable-wireguard:false
enable-bpf-clock-probe:true
cluster-name:default
ipv4-range:auto
nat46-range:0:0:0:0:0:FFFF::/96
ipv4-pod-subnets:
labels:
remove-cilium-node-taints:true
node-port-acceleration:disabled
kube-proxy-replacement:partial
ipv6-node:auto
bpf-lb-rss-ipv4-src-cidr:
enable-endpoint-routes:false
enable-external-ips:true
label-prefix-file:
tofqdns-idle-connection-grace-period:0s
hubble-metrics:
bgp-announce-pod-cidr:false
auto-direct-node-routes:false
debug-verbose:
arping-refresh-period:30s
hubble-tls-cert-file:/var/lib/cilium/tls/hubble/server.crt
enable-host-firewall:false
bpf-ct-timeout-service-tcp:6h0m0s
monitor-aggregation:medium
disable-envoy-version-check:false
enable-remote-node-identity:true
prefilter-mode:native
enable-ipv4-fragment-tracking:true
bpf-fragments-map-max:8192
mke-cgroup-mount:
state-dir:/var/run/cilium
enable-ipv6-masquerade:true
enable-xt-socket-fallback:true
bpf-lb-sock-hostns-only:false
cluster-health-port:4240
disable-conntrack:false
http-retry-count:3
disable-iptables-feeder-rules:
enable-policy:default
api-rate-limit:
ip-allocation-timeout:2m0s
bpf-ct-global-tcp-max:524288
enable-ipv6-ndp:false
k8s-heartbeat-timeout:30s
enable-svc-source-range-check:true
http-403-msg:
identity-allocation-mode:crd
bpf-nat-global-max:524288
route-metric:0
bpf-lb-mode:snat
allow-icmp-frag-needed:true
allocator-list-timeout:3m0s
bpf-lb-dsr-dispatch:opt
install-no-conntrack-iptables-rules:false
enable-local-node-route:true
enable-monitor:true
tunnel:vxlan
enable-k8s-terminating-endpoint:true
enable-bpf-masquerade:false
bpf-lb-algorithm:random
bpf-lb-rss-ipv6-src-cidr:
metrics:
preallocate-bpf-maps:false
direct-routing-device:
certificates-directory:/var/run/cilium/certs
k8s-kubeconfig-path:
node-port-mode:snat
dns-max-ips-per-restored-rule:1000
bpf-ct-timeout-regular-any:1m0s
vlan-bpf-bypass:
enable-hubble:true
hubble-export-file-max-size-mb:10
enable-hubble-recorder-api:true
enable-xdp-prefilter:false
fixed-identity-mapping:
bpf-root:
k8s-require-ipv6-pod-cidr:false
cilium-endpoint-gc-interval:5m0s
ipv6-pod-subnets:
derive-masquerade-ip-addr-from-device:
hubble-disable-tls:false
debug:false
enable-identity-mark:true
config:
bpf-lb-external-clusterip:false
write-cni-conf-when-ready:
version:false
ipv4-node:auto
tofqdns-min-ttl:0
disable-endpoint-crd:false
bgp-config-path:/var/lib/cilium/bgp/config.yaml
encrypt-node:false
pprof-port:6060
enable-icmp-rules:false
```


#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])                                                      IPv6   IPv4          STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                                                                        
324        Disabled           Disabled          26333      k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system              10.42.0.156   ready   
                                                           k8s:io.cilium.k8s.policy.cluster=default                                                                      
                                                           k8s:io.cilium.k8s.policy.serviceaccount=hubble-relay                                                          
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                                   
                                                           k8s:k8s-app=hubble-relay                                                                                      
663        Disabled           Disabled          21315      k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system              10.42.0.141   ready   
                                                           k8s:io.cilium.k8s.policy.cluster=default                                                                      
                                                           k8s:io.cilium.k8s.policy.serviceaccount=coredns                                                               
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                                   
                                                           k8s:k8s-app=kube-dns                                                                                          
863        Disabled           Disabled          1          k8s:node.kubernetes.io/instance-type=k3s                                                              ready   
                                                           k8s:topology.kubernetes.io/region=us-east-1                                                                   
                                                           k8s:topology.kubernetes.io/zone=us-east-1a                                                                    
                                                           reserved:host                                                                                                 
1442       Disabled           Disabled          62988      k8s:app=svclb-hubble-ui-ext                                                             10.42.0.219   ready   
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system                                    
                                                           k8s:io.cilium.k8s.policy.cluster=default                                                                      
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                                               
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                                   
                                                           k8s:svccontroller.k3s.cattle.io/svcname=hubble-ui-ext                                                         
1759       Disabled           Disabled          4627       k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system              10.42.0.182   ready   
                                                           k8s:io.cilium.k8s.policy.cluster=default                                                                      
                                                           k8s:io.cilium.k8s.policy.serviceaccount=hubble-ui                                                             
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                                   
                                                           k8s:k8s-app=hubble-ui                                                                                         
1972       Disabled           Disabled          24199      k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system              10.42.0.63    ready   
                                                           k8s:io.cilium.k8s.policy.cluster=default                                                                      
                                                           k8s:io.cilium.k8s.policy.serviceaccount=metrics-server                                                        
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                                   
                                                           k8s:k8s-app=metrics-server                                                                                    
2255       Disabled           Disabled          4          reserved:health                                                                         10.42.0.112   ready   
2478       Disabled           Disabled          6482       k8s:app=local-path-provisioner                                                          10.42.0.95    ready   
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system                                    
                                                           k8s:io.cilium.k8s.policy.cluster=default                                                                      
                                                           k8s:io.cilium.k8s.policy.serviceaccount=local-path-provisioner-service-account                                
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                                   
```

#### BPF Policy Get 324

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Allow    Ingress     0          ANY          NONE         139004   806       
Allow    Ingress     1          ANY          NONE         39834    613       
Allow    Egress      0          ANY          NONE         134705   1265      

```


#### BPF CT List 324

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00324: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00324: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00324: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00324: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00324: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00324: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00324: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00324: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 324

```
[
  {
    "id": 324,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-324-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "cc2a1e42-a25a-4526-95d3-d7f77b7bac05"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-324",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:31:04.931Z",
            "success-count": 3
          },
          "uuid": "f1db04fb-9bf7-4055-96e2-c44613e27058"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-324",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:23.981Z",
            "success-count": 22
          },
          "uuid": "6b86d55f-a58e-4ec4-b7f3-bae050498c4c"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (324)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:44.990Z",
            "success-count": 78
          },
          "uuid": "c3d449d0-0017-4057-a665-37a2943c25b5"
        }
      ],
      "external-identifiers": {
        "container-id": "4bfac05e95173cacce1c22259a351233c1ec1be85900fc7d1d12d480ccd988e5",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "hubble-relay-77dc75965-g9mxw",
        "pod-name": "kube-system/hubble-relay-77dc75965-g9mxw"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 26333,
        "labels": [
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=hubble-relay",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:k8s-app=hubble-relay",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system"
        ],
        "labelsSHA256": "f399fdd173b6483ba8018e6d89332b0d13dab8e98ff89ae72fba97809d7b4bd1"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=77dc75965"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=hubble-relay",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=hubble-relay"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2022-06-09T14:21:23Z"
        }
      ],
      "namedPorts": [
        {
          "name": "grpc",
          "port": 4245,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.42.0.156"
          }
        ],
        "host-mac": "92:47:cb:e8:a8:a0",
        "interface-index": 8,
        "interface-name": "lxc4dab2ef3bfd7",
        "mac": "f2:de:ed:36:e1:5a"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 26333,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 26333,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 324

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 324

```
Timestamp              Status   State                   Message
2022-06-09T14:21:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2022-06-09T14:21:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:23Z   OK       regenerating            Regenerating endpoint: 
2022-06-09T14:21:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-09T14:21:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:22Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:21Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:21Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:21Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:21Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:10Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2022-06-09T14:21:10Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:10Z   OK       regenerating            Regenerating endpoint: 
2022-06-09T14:21:10Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-09T14:21:09Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:09Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:09Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:09Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:08Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:08Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:08Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:08Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:07Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:07Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:07Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:07Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:06Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:06Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:05Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:05Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:05Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:05Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2022-06-09T14:21:04Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:04Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-06-09T14:21:04Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-06-09T14:21:04Z   OK       ready                   Set identity for this endpoint
2022-06-09T14:21:04Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 26333

```
ID      LABELS
26333   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=hubble-relay
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=hubble-relay

```


#### BPF Policy Get 663

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Allow    Ingress     0          ANY          NONE         109239   691       
Allow    Ingress     1          ANY          NONE         212286   2428      
Allow    Egress      0          ANY          NONE         350433   2920      

```


#### BPF CT List 663

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00663: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00663: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00663: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00663: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00663: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00663: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00663: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00663: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 663

```
[
  {
    "id": 663,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-663-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "178ee2e0-61e2-4826-9a89-6ae354ff7afc"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-663",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:31:08.044Z",
            "success-count": 3
          },
          "uuid": "d181d575-8d8b-4d4a-810e-e486bce514f5"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-663",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:23.981Z",
            "success-count": 18
          },
          "uuid": "c6ed18ec-5f0b-425b-8d5e-50249062c602"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (663)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:38.097Z",
            "success-count": 77
          },
          "uuid": "dac2d95c-2b9f-4b82-a63e-ca6e57bf8d59"
        }
      ],
      "external-identifiers": {
        "container-id": "229aa6a36a06e6aba7bd2d59e93cd36f211d3b6d08f4bdbcf326aa9da4ed589a",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "coredns-7448499f4d-rrhh6",
        "pod-name": "kube-system/coredns-7448499f4d-rrhh6"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 21315,
        "labels": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:k8s-app=kube-dns",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns"
        ],
        "labelsSHA256": "3b51427645c3abe66d2bdb527eaf7ab342a59cb4394651f73355ba18cfcd2f41"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=7448499f4d"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=kube-dns"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2022-06-09T14:21:23Z"
        }
      ],
      "namedPorts": [
        {
          "name": "dns",
          "port": 53,
          "protocol": "UDP"
        },
        {
          "name": "dns-tcp",
          "port": 53,
          "protocol": "TCP"
        },
        {
          "name": "metrics",
          "port": 9153,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.42.0.141"
          }
        ],
        "host-mac": "ba:06:4d:55:59:f5",
        "interface-index": 12,
        "interface-name": "lxc354ae16fcda3",
        "mac": "6e:ae:37:43:48:68"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 21315,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 21315,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 663

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 663

```
Timestamp              Status    State                   Message
2022-06-09T14:21:23Z   OK        ready                   Successfully regenerated endpoint program (Reason: )
2022-06-09T14:21:23Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:23Z   OK        regenerating            Regenerating endpoint: 
2022-06-09T14:21:23Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-09T14:21:22Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:22Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:22Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:22Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:21Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:21Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:21Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:21Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:10Z   OK        ready                   Successfully regenerated endpoint program (Reason: )
2022-06-09T14:21:10Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:10Z   OK        regenerating            Regenerating endpoint: 
2022-06-09T14:21:10Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-09T14:21:09Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:09Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:09Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:09Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:08Z   OK        ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-06-09T14:21:08Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:08Z   OK        regenerating            Regenerating endpoint: updated security labels
2022-06-09T14:21:08Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-06-09T14:21:08Z   OK        ready                   Set identity for this endpoint
2022-06-09T14:21:08Z   Warning   waiting-for-identity    Skipped invalid state transition to waiting-to-regenerate due to: Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:08Z   OK        waiting-for-identity    Endpoint creation

```


#### Identity get 21315

```
ID      LABELS
21315   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=coredns
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=kube-dns

```


#### BPF Policy Get 863

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         0       0         
Allow    Egress      0          ANY          NONE         0       0         

```


#### BPF CT List 863

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00863: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00863: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00863: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00863: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00863: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00863: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00863: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00863: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 863

```
[
  {
    "id": 863,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-863-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "5f1ae414-39aa-4642-a1c4-48d2682b787d"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-863",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:30:59.060Z",
            "success-count": 3
          },
          "uuid": "5b20c4da-4c49-4770-ae18-877ba9e2df16"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-863",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:23.981Z",
            "success-count": 22
          },
          "uuid": "fb26c21f-0561-4814-ad89-15c8a09c274f"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (863)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:39.108Z",
            "success-count": 78
          },
          "uuid": "24dbc8a9-12ea-47c2-9091-d7f001f26760"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1,
        "labels": [
          "k8s:node.kubernetes.io/instance-type=k3s",
          "reserved:host",
          "k8s:topology.kubernetes.io/zone=us-east-1a",
          "k8s:topology.kubernetes.io/region=us-east-1"
        ],
        "labelsSHA256": "1dbb78d1fa0434938531048244c88d3302d255bcafbd97cf7cb436e4470bd9ee"
      },
      "labels": {
        "derived": [
          "k8s:node.kubernetes.io/instance-type=k3s",
          "k8s:topology.kubernetes.io/region=us-east-1",
          "k8s:topology.kubernetes.io/zone=us-east-1a",
          "reserved:host"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:node.kubernetes.io/instance-type=k3s",
          "k8s:topology.kubernetes.io/region=us-east-1",
          "k8s:topology.kubernetes.io/zone=us-east-1a",
          "reserved:host"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2022-06-09T14:21:23Z"
        }
      ],
      "networking": {
        "addressing": [
          {}
        ],
        "host-mac": "ba:57:9e:33:4c:62",
        "interface-name": "cilium_host",
        "mac": "ba:57:9e:33:4c:62"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 863

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 863

```
Timestamp              Status   State                   Message
2022-06-09T14:21:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2022-06-09T14:21:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:23Z   OK       regenerating            Regenerating endpoint: 
2022-06-09T14:21:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-09T14:21:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:22Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:21Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:21Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:21Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:21Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:10Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2022-06-09T14:21:10Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:10Z   OK       regenerating            Regenerating endpoint: 
2022-06-09T14:21:10Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-09T14:21:09Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:09Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:09Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:09Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:08Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:08Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:08Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:08Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:07Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:07Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:07Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:07Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:06Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:06Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:05Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:05Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:05Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:05Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2022-06-09T14:21:04Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:20:59Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-06-09T14:20:59Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-06-09T14:20:59Z   OK       ready                   Set identity for this endpoint
2022-06-09T14:20:59Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 1

```
ID   LABELS
1    reserved:host

```


#### BPF Policy Get 1442

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         0       0         
Allow    Ingress     1          ANY          NONE         0       0         
Allow    Egress      0          ANY          NONE         0       0         

```


#### BPF CT List 1442

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01442: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01442: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_01442: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_01442: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_01442: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_01442: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_01442: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_01442: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 1442

```
[
  {
    "id": 1442,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1442-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "c2082132-a6b7-46e8-95a0-1eded7b07260"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1442",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:31:21.972Z",
            "success-count": 3
          },
          "uuid": "53c19792-d609-48e5-843e-c844070a75bc"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1442",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:23.981Z",
            "success-count": 15
          },
          "uuid": "9348bd4e-a427-4abb-a3c6-ebeb00bf95f3"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1442)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:42.027Z",
            "success-count": 76
          },
          "uuid": "5c7c9aa0-96a1-4b3e-b0c4-745069619254"
        }
      ],
      "external-identifiers": {
        "container-id": "e1c068f60cc6e313f5040ae6ad7983e8e6759733a8c851ed726822e98ec5155d",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "svclb-hubble-ui-ext-k7tbp",
        "pod-name": "kube-system/svclb-hubble-ui-ext-k7tbp"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 62988,
        "labels": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:svccontroller.k3s.cattle.io/svcname=hubble-ui-ext",
          "k8s:app=svclb-hubble-ui-ext"
        ],
        "labelsSHA256": "ea1183e31b6a8f7ebc14d03ad7e5e742cf9d1ddcf6acc87fc3c6390782999741"
      },
      "labels": {
        "derived": [
          "k8s:controller-revision-hash=6d4cf5bf7b",
          "k8s:pod-template-generation=1"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:app=svclb-hubble-ui-ext",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:svccontroller.k3s.cattle.io/svcname=hubble-ui-ext"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2022-06-09T14:21:23Z"
        }
      ],
      "namedPorts": [
        {
          "name": "lb-port-4244",
          "port": 4244,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.42.0.219"
          }
        ],
        "host-mac": "ea:32:4a:f0:3d:ff",
        "interface-index": 18,
        "interface-name": "lxcc83f207255a7",
        "mac": "b2:cb:9d:e1:42:2b"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 62988,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 62988,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1442

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1442

```
Timestamp              Status    State                   Message
2022-06-09T14:21:23Z   OK        ready                   Successfully regenerated endpoint program (Reason: )
2022-06-09T14:21:23Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:23Z   OK        regenerating            Regenerating endpoint: 
2022-06-09T14:21:23Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-09T14:21:22Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:22Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:22Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:22Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:22Z   OK        ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-06-09T14:21:22Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:21Z   OK        regenerating            Regenerating endpoint: updated security labels
2022-06-09T14:21:21Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-06-09T14:21:21Z   OK        ready                   Set identity for this endpoint
2022-06-09T14:21:21Z   Warning   waiting-for-identity    Skipped invalid state transition to waiting-to-regenerate due to: Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:21Z   OK        waiting-for-identity    Endpoint creation

```


#### Identity get 62988

```
ID      LABELS
62988   k8s:app=svclb-hubble-ui-ext
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:svccontroller.k3s.cattle.io/svcname=hubble-ui-ext

```


#### BPF Policy Get 1759

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         46900   402       
Allow    Ingress     1          ANY          NONE         0       0         
Allow    Egress      0          ANY          NONE         28676   268       

```


#### BPF CT List 1759

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01759: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01759: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_01759: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_01759: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_01759: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_01759: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_01759: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_01759: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 1759

```
[
  {
    "id": 1759,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1759-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "d5432d66-fd5c-4d7f-8e84-6d48f59f4bc5"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1759",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:31:06.040Z",
            "success-count": 3
          },
          "uuid": "04549ca9-9529-48b5-9c64-5f32cd05c8bd"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1759",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:23.981Z",
            "success-count": 21
          },
          "uuid": "3e5c1c14-8fc7-4712-a231-603552468686"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1759)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:46.090Z",
            "success-count": 78
          },
          "uuid": "2d7d0d52-a83d-474a-be91-cf0d119d8281"
        }
      ],
      "external-identifiers": {
        "container-id": "17aab3d7f1fd8648602b5bde50f3040b3949ce8652b385bd51706586e86513af",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "hubble-ui-5c8f6f8d87-f8m47",
        "pod-name": "kube-system/hubble-ui-5c8f6f8d87-f8m47"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4627,
        "labels": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=hubble-ui",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:k8s-app=hubble-ui"
        ],
        "labelsSHA256": "c7f8c42b32baabeed01dcb92d11ce2cfb01b45105b3132ff9cb120b1750f1faa"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=5c8f6f8d87"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=hubble-ui",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=hubble-ui"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2022-06-09T14:21:23Z"
        }
      ],
      "namedPorts": [
        {
          "name": "grpc",
          "port": 8090,
          "protocol": "TCP"
        },
        {
          "name": "http",
          "port": 8081,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.42.0.182"
          }
        ],
        "host-mac": "7a:68:bf:5a:fc:7c",
        "interface-index": 10,
        "interface-name": "lxc2e1f131a4c44",
        "mac": "16:d1:76:17:b2:05"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4627,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4627,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1759

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1759

```
Timestamp              Status   State                   Message
2022-06-09T14:21:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2022-06-09T14:21:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:23Z   OK       regenerating            Regenerating endpoint: 
2022-06-09T14:21:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-09T14:21:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:22Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:21Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:21Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:21Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:21Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:10Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2022-06-09T14:21:10Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:10Z   OK       regenerating            Regenerating endpoint: 
2022-06-09T14:21:10Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-09T14:21:09Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:09Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:09Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:09Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:08Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:08Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:08Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:08Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:07Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:07Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:07Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:07Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:06Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:06Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2022-06-09T14:21:06Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:06Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-06-09T14:21:06Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-06-09T14:21:06Z   OK       ready                   Set identity for this endpoint
2022-06-09T14:21:06Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4627

```
ID     LABELS
4627   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
       k8s:io.cilium.k8s.policy.cluster=default
       k8s:io.cilium.k8s.policy.serviceaccount=hubble-ui
       k8s:io.kubernetes.pod.namespace=kube-system
       k8s:k8s-app=hubble-ui

```


#### BPF Policy Get 1972

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Allow    Ingress     0          ANY          NONE         418470   1247      
Allow    Ingress     1          ANY          NONE         143421   137       
Allow    Egress      0          ANY          NONE         363514   1270      

```


#### BPF CT List 1972

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01972: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01972: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_01972: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_01972: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_01972: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_01972: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_01972: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_01972: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 1972

```
[
  {
    "id": 1972,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1972-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "f2140f3d-f1c8-4391-aa09-cfb8c2eae5bc"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1972",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:31:08.042Z",
            "success-count": 3
          },
          "uuid": "d1d8301a-0ab3-4094-83a3-c12762fb97ac"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1972",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:23.981Z",
            "success-count": 18
          },
          "uuid": "f94387c3-f1c5-44ad-8739-41bf1f4bf57d"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1972)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:48.098Z",
            "success-count": 78
          },
          "uuid": "e1fa0695-1616-4895-80f3-9d33f061dc5f"
        }
      ],
      "external-identifiers": {
        "container-id": "b3855fdb028eefc6cd859c499962b5f7fa57e4c7daddfcd2c8000e4d3a5c87a9",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "metrics-server-86cbb8457f-kzp59",
        "pod-name": "kube-system/metrics-server-86cbb8457f-kzp59"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 24199,
        "labels": [
          "k8s:io.cilium.k8s.policy.serviceaccount=metrics-server",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:k8s-app=metrics-server",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.kubernetes.pod.namespace=kube-system"
        ],
        "labelsSHA256": "9082042513b116f4734863ca04910f76cd4d5343166e4b0a9d5be0c15bae2f39"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=86cbb8457f"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=metrics-server",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=metrics-server"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2022-06-09T14:21:23Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.42.0.63"
          }
        ],
        "host-mac": "92:11:48:35:df:d5",
        "interface-index": 14,
        "interface-name": "lxcbb7082a32879",
        "mac": "ae:43:2d:cc:5b:f4"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 24199,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 24199,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1972

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1972

```
Timestamp              Status    State                   Message
2022-06-09T14:21:23Z   OK        ready                   Successfully regenerated endpoint program (Reason: )
2022-06-09T14:21:23Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:23Z   OK        regenerating            Regenerating endpoint: 
2022-06-09T14:21:23Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-09T14:21:22Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:22Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:22Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:22Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:21Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:21Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:21Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:21Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:10Z   OK        ready                   Successfully regenerated endpoint program (Reason: )
2022-06-09T14:21:10Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:10Z   OK        regenerating            Regenerating endpoint: 
2022-06-09T14:21:10Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-09T14:21:09Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:09Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:09Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:09Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:08Z   OK        ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-06-09T14:21:08Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:08Z   OK        regenerating            Regenerating endpoint: updated security labels
2022-06-09T14:21:08Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-06-09T14:21:08Z   OK        ready                   Set identity for this endpoint
2022-06-09T14:21:08Z   Warning   waiting-for-identity    Skipped invalid state transition to waiting-to-regenerate due to: Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:08Z   OK        waiting-for-identity    Endpoint creation

```


#### Identity get 24199

```
ID      LABELS
24199   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=metrics-server
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=metrics-server

```


#### BPF Policy Get 2255

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         7302    92        
Allow    Ingress     1          ANY          NONE         10110   116       
Allow    Egress      0          ANY          NONE         14274   176       

```


#### BPF CT List 2255

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_02255: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_02255: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_02255: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_02255: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_02255: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_02255: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_02255: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_02255: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 2255

```
[
  {
    "id": 2255,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-2255-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "d9f0b541-2c69-495f-8999-ea5dce5c5cdc"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-2255",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:31:00.123Z",
            "success-count": 3
          },
          "uuid": "9ed1fed2-45bf-4892-bba1-3f2d3486151f"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-2255",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:23.981Z",
            "success-count": 22
          },
          "uuid": "fc8c538b-5d17-4bb0-a366-23ad8d85db74"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (2255)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:40.173Z",
            "success-count": 78
          },
          "uuid": "de1e6c98-3cea-4fca-8fb0-deabbd13969d"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ],
        "labelsSHA256": "9f122da90704e5177f344e0582800e43b05842f9f6b1812cf4690aade0915275"
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2022-06-09T14:21:23Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.42.0.112"
          }
        ],
        "host-mac": "56:40:f8:bd:77:63",
        "interface-index": 6,
        "interface-name": "lxc_health",
        "mac": "d6:7b:d4:96:70:9b"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 2255

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 2255

```
Timestamp              Status   State                   Message
2022-06-09T14:21:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2022-06-09T14:21:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:23Z   OK       regenerating            Regenerating endpoint: 
2022-06-09T14:21:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-09T14:21:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:22Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:21Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:21Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:21Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:21Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:10Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2022-06-09T14:21:10Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:10Z   OK       regenerating            Regenerating endpoint: 
2022-06-09T14:21:10Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-09T14:21:09Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:09Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:09Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:09Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:08Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:08Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:08Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:08Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:07Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:07Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:07Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:07Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:06Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:06Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:04Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:04Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:04Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:04Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:04Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-06-09T14:21:04Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:00Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-06-09T14:21:00Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-06-09T14:21:00Z   OK       ready                   Set identity for this endpoint
2022-06-09T14:20:59Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```


#### BPF Policy Get 2478

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES     PACKETS   
Allow    Ingress     0          ANY          NONE         938689    1662      
Allow    Ingress     1          ANY          NONE         0         0         
Allow    Egress      0          ANY          NONE         1510209   1670      

```


#### BPF CT List 2478

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_02478: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_02478: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_02478: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_02478: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_02478: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_02478: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_02478: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_02478: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 2478

```
[
  {
    "id": 2478,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-2478-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "302a9ed8-3baf-421b-ba10-338dc3f6f680"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-2478",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:31:08.041Z",
            "success-count": 3
          },
          "uuid": "658d1cc9-1b23-4676-abf4-c47dd68c9e8c"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-2478",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:23.981Z",
            "success-count": 19
          },
          "uuid": "8429e21f-a2a4-41a9-8b7a-708aa9e7c28e"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (2478)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:48.095Z",
            "success-count": 78
          },
          "uuid": "1f2af3eb-34fe-4ac8-bf39-25ba4531ee42"
        }
      ],
      "external-identifiers": {
        "container-id": "8898088ddd5239986bf79c4b8d8510b8ba18258e275fdbc61fdd1ac85718e205",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "local-path-provisioner-5ff76fc89d-zlm6x",
        "pod-name": "kube-system/local-path-provisioner-5ff76fc89d-zlm6x"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 6482,
        "labels": [
          "k8s:app=local-path-provisioner",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=local-path-provisioner-service-account",
          "k8s:io.cilium.k8s.policy.cluster=default"
        ],
        "labelsSHA256": "20fd5eed18cc2b0f9f11d7c091f9741c9c6fa11c6d1acc5a9ebaf2940b2a501a"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=5ff76fc89d"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:app=local-path-provisioner",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=local-path-provisioner-service-account",
          "k8s:io.kubernetes.pod.namespace=kube-system"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2022-06-09T14:21:23Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.42.0.95"
          }
        ],
        "host-mac": "46:84:de:51:0d:89",
        "interface-index": 16,
        "interface-name": "lxc0c9a4c80b8b4",
        "mac": "ce:94:09:c9:d8:a7"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 6482,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 6482,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 2478

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 2478

```
Timestamp              Status   State                   Message
2022-06-09T14:21:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2022-06-09T14:21:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:23Z   OK       regenerating            Regenerating endpoint: 
2022-06-09T14:21:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-09T14:21:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:22Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:21Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:21Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:21Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:21Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:10Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2022-06-09T14:21:10Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:10Z   OK       regenerating            Regenerating endpoint: 
2022-06-09T14:21:10Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-09T14:21:09Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:09Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:09Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:09Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:08Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:08Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:08Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:08Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2022-06-09T14:21:08Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:08Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-06-09T14:21:08Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-06-09T14:21:08Z   OK       ready                   Set identity for this endpoint
2022-06-09T14:21:08Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 6482

```
ID     LABELS
6482   k8s:app=local-path-provisioner
       k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
       k8s:io.cilium.k8s.policy.cluster=default
       k8s:io.cilium.k8s.policy.serviceaccount=local-path-provisioner-service-account
       k8s:io.kubernetes.pod.namespace=kube-system

```


#### Cilium memory map


```
00400000-022c1000 r-xp 00000000 08:02 1838905                            /usr/bin/cilium-agent
022c1000-04647000 r--p 01ec1000 08:02 1838905                            /usr/bin/cilium-agent
04647000-04745000 rw-p 04247000 08:02 1838905                            /usr/bin/cilium-agent
04745000-04ece000 rw-p 00000000 00:00 0 
c000000000-c000400000 rw-p 00000000 00:00 0 
c000400000-c000600000 rw-p 00000000 00:00 0 
c000600000-c002600000 rw-p 00000000 00:00 0 
c002600000-c002e00000 rw-p 00000000 00:00 0 
c002e00000-c003000000 rw-p 00000000 00:00 0 
c003000000-c004000000 ---p 00000000 00:00 0 
7fec1e53d000-7fec1e5ad000 rw-p 00000000 00:00 0 
7fec1e5ad000-7fec1e5ee000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1e5ee000-7fec1e62f000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1e62f000-7fec1e670000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1e670000-7fec1e6b1000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1e6b1000-7fec1e6f2000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1e6f2000-7fec1e733000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1e733000-7fec1e774000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1e774000-7fec1e7b5000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1e7b5000-7fec1e7f6000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1e7f6000-7fec1e837000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1e837000-7fec1e878000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1e878000-7fec1e8b9000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1e8b9000-7fec1e8fa000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1e8fa000-7fec1e93b000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1e93b000-7fec1e97c000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1e97c000-7fec1e9bd000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1e9bd000-7fec1ea3d000 rw-p 00000000 00:00 0 
7fec1ea3d000-7fec1ea3f000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1ea3f000-7fec1ea41000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1ea41000-7fec1ea43000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1ea43000-7fec1ea45000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1ea45000-7fec1ea47000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1ea47000-7fec1ea49000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1ea49000-7fec1ea4b000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1ea4b000-7fec1ea4d000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1ea4d000-7fec1ea4f000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1ea4f000-7fec1ea51000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1ea51000-7fec1ea53000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1ea53000-7fec1ea55000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1ea55000-7fec1ea57000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1ea57000-7fec1ea59000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1ea59000-7fec1ea5b000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1ea5b000-7fec1ea5d000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7fec1ea5d000-7fec21464000 rw-p 00000000 00:00 0 
7fec21464000-7fec315e4000 ---p 00000000 00:00 0 
7fec315e4000-7fec315e5000 rw-p 00000000 00:00 0 
7fec315e5000-7fec43494000 ---p 00000000 00:00 0 
7fec43494000-7fec43495000 rw-p 00000000 00:00 0 
7fec43495000-7fec4586a000 ---p 00000000 00:00 0 
7fec4586a000-7fec4586b000 rw-p 00000000 00:00 0 
7fec4586b000-7fec45ce4000 ---p 00000000 00:00 0 
7fec45ce4000-7fec45ce5000 rw-p 00000000 00:00 0 
7fec45ce5000-7fec45d64000 ---p 00000000 00:00 0 
7fec45d64000-7fec45dc4000 rw-p 00000000 00:00 0 
7fff2aa78000-7fff2aa99000 rw-p 00000000 00:00 0                          [stack]
7fff2aa9b000-7fff2aa9f000 r--p 00000000 00:00 0                          [vvar]
7fff2aa9f000-7fff2aaa1000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 --xp 00000000 00:00 0                  [vsyscall]

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### ongoing-endpoint-creations


#### ipam

```
<nil>
```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0xc00016a448)({
 Events: (chan k8s.ServiceEvent) (cap=128) 0xc000694000,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (int32) 1,
    readerWait: (int32) 0
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=7) {
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0xc0008d42d0)(frontends:[10.43.0.1]/ports=[https]/selector=map[]),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0xc0008d4360)(frontends:[10.43.0.10]/ports=[dns dns-tcp metrics]/selector=map[k8s-app:kube-dns]),
  (k8s.ServiceID) kube-system/metrics-server: (*k8s.Service)(0xc0008d43f0)(frontends:[10.43.41.165]/ports=[]/selector=map[k8s-app:metrics-server]),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.Service)(0xc0008d4480)(frontends:[10.43.192.152]/ports=[peer-service]/selector=map[k8s-app:cilium]),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.Service)(0xc0008d4510)(frontends:[10.43.159.128]/ports=[]/selector=map[k8s-app:hubble-relay]),
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.Service)(0xc0008d45a0)(frontends:[10.43.145.99]/ports=[http]/selector=map[k8s-app:hubble-ui]),
  (k8s.ServiceID) kube-system/hubble-ui-ext: (*k8s.Service)(0xc001c2f200)(frontends:[10.43.33.249]/ports=[http]/selector=map[k8s-app:hubble-ui])
 },
 endpoints: (map[k8s.ServiceID]*k8s.EndpointSlices) (len=7) {
  (k8s.ServiceID) default/kubernetes: (*k8s.EndpointSlices)(0xc000122198)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=10) "kubernetes": (*k8s.Endpoints)(0xc000122190)(172.27.0.2:6443/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/metrics-server: (*k8s.EndpointSlices)(0xc0001221b8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=20) "metrics-server-ppn8w": (*k8s.Endpoints)(0xc0010b8190)(10.42.0.63:443/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.EndpointSlices)(0xc0001221d8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=14) "kube-dns-x2qrm": (*k8s.Endpoints)(0xc0010b81f8)(10.42.0.141:53/TCP,10.42.0.141:53/UDP,10.42.0.141:9153/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-ui-ext: (*k8s.EndpointSlices)(0xc001c0a230)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=19) "hubble-ui-ext-fqhg5": (*k8s.Endpoints)(0xc001c0a228)(10.42.0.182:8081/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.EndpointSlices)(0xc000412080)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=17) "hubble-peer-gv9pz": (*k8s.Endpoints)(0xc00032c360)(172.27.0.2:4244/TCP,172.27.0.3:4244/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.EndpointSlices)(0xc000122158)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "hubble-relay-6lkdt": (*k8s.Endpoints)(0xc001478320)(10.42.0.156:4245/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.EndpointSlices)(0xc000122178)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=15) "hubble-ui-xn9hz": (*k8s.Endpoints)(0xc0010b8220)(10.42.0.182:8081/TCP)
   }
  })
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 },
 nodeAddressing: (*linux.linuxNodeAddressing)(0x4cb7c58)({
  ipv6: (linux.addressFamilyIPv6) {
  },
  ipv4: (linux.addressFamilyIPv4) {
  }
 }),
 selfNodeZoneLabel: (string) ""
})

```


#### Cilium encryption



#### Cilium version

```
1.11.5 b0d3140 2022-05-10T02:47:42+02:00 go version go1.17.9 linux/amd64
```


#### Kernel version

```
5.13.0
```


#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.21 (v1.21.3+k3s1) [linux/amd64]
Kubernetes APIs:        ["cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "core/v1::Namespace", "core/v1::Node", "core/v1::Pods", "core/v1::Service", "discovery/v1::EndpointSlice", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   Partial   [eth0 172.27.0.3 (Direct Routing)]
Host firewall:          Disabled
Cilium:                 Ok   1.11.5 (v1.11.5-b0d3140)
NodeMonitor:            Listening for events on 16 CPUs with 64x4096 of shared memory
Cilium health daemon:   Ok   
IPAM:                   IPv4: 8/254 allocated from 10.42.0.0/24, 
Allocated addresses:
  10.42.0.112 (health)
  10.42.0.141 (kube-system/coredns-7448499f4d-rrhh6)
  10.42.0.156 (kube-system/hubble-relay-77dc75965-g9mxw)
  10.42.0.181 (router)
  10.42.0.182 (kube-system/hubble-ui-5c8f6f8d87-f8m47)
  10.42.0.219 (kube-system/svclb-hubble-ui-ext-k7tbp)
  10.42.0.63 (kube-system/metrics-server-86cbb8457f-kzp59)
  10.42.0.95 (kube-system/local-path-provisioner-5ff76fc89d-zlm6x)
BandwidthManager:       Disabled
Host Routing:           Legacy
Masquerading:           IPTables [IPv4: Enabled, IPv6: Disabled]
Clock Source for BPF:   jiffies   [250 Hz]
Controller Status:      44/44 healthy
  Name                                               Last success   Last error   Count   Message
  cilium-health-ep                                   49s ago        never        0       no error   
  dns-garbage-collector-job                          55s ago        never        0       no error   
  endpoint-1442-regeneration-recovery                never          never        0       no error   
  endpoint-1759-regeneration-recovery                never          never        0       no error   
  endpoint-1972-regeneration-recovery                never          never        0       no error   
  endpoint-2255-regeneration-recovery                never          never        0       no error   
  endpoint-2478-regeneration-recovery                never          never        0       no error   
  endpoint-324-regeneration-recovery                 never          never        0       no error   
  endpoint-663-regeneration-recovery                 never          never        0       no error   
  endpoint-863-regeneration-recovery                 never          never        0       no error   
  endpoint-gc                                        2m55s ago      never        0       no error   
  ipcache-inject-labels                              12m53s ago     12m53s ago   0       no error   
  k8s-heartbeat                                      25s ago        never        0       no error   
  metricsmap-bpf-prom-sync                           9s ago         never        0       no error   
  neighbor-table-refresh                             20s ago        never        0       no error   
  resolve-identity-1442                              2m27s ago      never        0       no error   
  resolve-identity-1759                              2m43s ago      never        0       no error   
  resolve-identity-1972                              2m41s ago      never        0       no error   
  resolve-identity-2255                              2m49s ago      never        0       no error   
  resolve-identity-2478                              2m41s ago      never        0       no error   
  resolve-identity-324                               2m44s ago      never        0       no error   
  resolve-identity-663                               2m41s ago      never        0       no error   
  resolve-identity-863                               2m50s ago      never        0       no error   
  sync-endpoints-and-host-ips                        50s ago        never        0       no error   
  sync-lb-maps-with-k8s-services                     12m50s ago     never        0       no error   
  sync-node-with-ciliumnode (k3d-cluster1-agent-0)   12m53s ago     12m54s ago   0       no error   
  sync-policymap-1442                                25s ago        never        0       no error   
  sync-policymap-1759                                25s ago        never        0       no error   
  sync-policymap-1972                                25s ago        never        0       no error   
  sync-policymap-2255                                25s ago        never        0       no error   
  sync-policymap-2478                                25s ago        never        0       no error   
  sync-policymap-324                                 25s ago        never        0       no error   
  sync-policymap-663                                 25s ago        never        0       no error   
  sync-policymap-863                                 25s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (1442)                  7s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (1759)                  13s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (1972)                  11s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (2255)                  9s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (2478)                  11s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (324)                   14s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (663)                   11s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (863)                   10s ago        never        0       no error   
  template-dir-watcher                               never          never        0       no error   
  update-k8s-node-annotations                        12m53s ago     never        0       no error   
Proxy Status:   OK, ip 10.42.0.181, 0 redirects active on ports 10000-20000
Hubble:         Ok   Current/Max Flows: 4095/4095 (100.00%), Flows/s: 10.53   Metrics: Disabled
KubeProxyReplacement Details:
  Status:                 Partial
  Devices:                eth0 172.27.0.3 (Direct Routing)
  Mode:                   SNAT
  Backend Selection:      Random
  Session Affinity:       Enabled
  Graceful Termination:   Enabled
  XDP Acceleration:       Disabled
  Services:
  - ClusterIP:      Enabled
  - NodePort:       Enabled (Range: 30000-32767) 
  - LoadBalancer:   Enabled 
  - externalIPs:    Enabled 
  - HostPort:       Enabled
BPF Maps:   dynamic sizing: on (ratio: 0.002500)
  Name                          Size
  Non-TCP connection tracking   295310
  TCP connection tracking       590620
  Endpoint policy               65535
  Events                        16
  IP cache                      512000
  IP masquerading agent         16384
  IPv4 fragmentation            8192
  IPv4 service                  65536
  IPv6 service                  65536
  IPv4 service backend          65536
  IPv6 service backend          65536
  IPv4 service reverse NAT      65536
  IPv6 service reverse NAT      65536
  Metrics                       1024
  NAT                           590620
  Neighbor table                590620
  Global policy                 16384
  Per endpoint policy           65536
  Session affinity              65536
  Signal                        16
  Sockmap                       65535
  Sock reverse NAT              295310
  Tunnel                        65536
Encryption:   Disabled
```

#### Service list

```
ID   Frontend             Service Type   Backend                 
1    10.43.0.1:443        ClusterIP      1 => 172.27.0.2:6443    
2    10.43.0.10:9153      ClusterIP      1 => 10.42.0.141:9153   
3    10.43.0.10:53        ClusterIP      1 => 10.42.0.141:53     
4    10.43.41.165:443     ClusterIP      1 => 10.42.0.63:443     
5    10.43.192.152:4254   ClusterIP      1 => 172.27.0.3:4244    
                                         2 => 172.27.0.2:4244    
6    10.43.159.128:80     ClusterIP      1 => 10.42.0.156:4245   
7    10.43.145.99:80      ClusterIP      1 => 10.42.0.182:8081   
8    10.43.33.249:4244    ClusterIP      1 => 10.42.0.182:8081   
9    0.0.0.0:32033        NodePort       1 => 10.42.0.182:8081   
10   172.27.0.3:32033     NodePort       1 => 10.42.0.182:8081   
11   172.27.0.2:4244      LoadBalancer   1 => 10.42.0.182:8081   
12   172.27.0.3:4244      LoadBalancer   1 => 10.42.0.182:8081   
13   0.0.0.0:4244         HostPort       1 => 10.42.0.219:4244   
```

#### Policy get

```
:
 []
Revision: 1

```

