# Cilium debug information

#### Cilium encryption



#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.21 (v1.21.3+k3s1) [linux/amd64]
Kubernetes APIs:        ["cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "core/v1::Namespace", "core/v1::Node", "core/v1::Pods", "core/v1::Service", "discovery/v1::EndpointSlice", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   Partial   [eth0 172.27.0.2 (Direct Routing)]
Host firewall:          Disabled
Cilium:                 Ok   1.11.5 (v1.11.5-b0d3140)
NodeMonitor:            Listening for events on 16 CPUs with 64x4096 of shared memory
Cilium health daemon:   Ok   
IPAM:                   IPv4: 3/254 allocated from 10.42.1.0/24, 
Allocated addresses:
  10.42.1.210 (router)
  10.42.1.50 (health)
  10.42.1.98 (kube-system/svclb-hubble-ui-ext-xxrnc)
BandwidthManager:       Disabled
Host Routing:           Legacy
Masquerading:           IPTables [IPv4: Enabled, IPv6: Disabled]
Clock Source for BPF:   jiffies   [250 Hz]
Controller Status:      24/24 healthy
  Name                                                Last success   Last error   Count   Message
  cilium-health-ep                                    45s ago        never        0       no error   
  dns-garbage-collector-job                           51s ago        never        0       no error   
  endpoint-2403-regeneration-recovery                 never          never        0       no error   
  endpoint-618-regeneration-recovery                  never          never        0       no error   
  endpoint-964-regeneration-recovery                  never          never        0       no error   
  endpoint-gc                                         2m51s ago      never        0       no error   
  ipcache-inject-labels                               12m47s ago     12m50s ago   0       no error   
  k8s-heartbeat                                       21s ago        never        0       no error   
  metricsmap-bpf-prom-sync                            6s ago         never        0       no error   
  neighbor-table-refresh                              16s ago        never        0       no error   
  resolve-identity-2403                               2m24s ago      never        0       no error   
  resolve-identity-618                                2m46s ago      never        0       no error   
  resolve-identity-964                                2m45s ago      never        0       no error   
  sync-endpoints-and-host-ips                         46s ago        never        0       no error   
  sync-lb-maps-with-k8s-services                      12m46s ago     never        0       no error   
  sync-node-with-ciliumnode (k3d-cluster1-server-0)   12m49s ago     12m50s ago   0       no error   
  sync-policymap-2403                                 22s ago        never        0       no error   
  sync-policymap-618                                  22s ago        never        0       no error   
  sync-policymap-964                                  22s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (2403)                   4s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (618)                    6s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (964)                    5s ago         never        0       no error   
  template-dir-watcher                                never          never        0       no error   
  update-k8s-node-annotations                         12m50s ago     never        0       no error   
Proxy Status:   OK, ip 10.42.1.210, 0 redirects active on ports 10000-20000
Hubble:         Ok   Current/Max Flows: 1338/4095 (32.67%), Flows/s: 1.64   Metrics: Disabled
KubeProxyReplacement Details:
  Status:                 Partial
  Devices:                eth0 172.27.0.2 (Direct Routing)
  Mode:                   SNAT
  Backend Selection:      Random
  Session Affinity:       Enabled
  Graceful Termination:   Enabled
  XDP Acceleration:       Disabled
  Services:
  - ClusterIP:      Enabled
  - NodePort:       Enabled (Range: 30000-32767) 
  - LoadBalancer:   Enabled 
  - externalIPs:    Enabled 
  - HostPort:       Enabled
BPF Maps:   dynamic sizing: on (ratio: 0.002500)
  Name                          Size
  Non-TCP connection tracking   295310
  TCP connection tracking       590620
  Endpoint policy               65535
  Events                        16
  IP cache                      512000
  IP masquerading agent         16384
  IPv4 fragmentation            8192
  IPv4 service                  65536
  IPv6 service                  65536
  IPv4 service backend          65536
  IPv6 service backend          65536
  IPv4 service reverse NAT      65536
  IPv6 service reverse NAT      65536
  Metrics                       1024
  NAT                           590620
  Neighbor table                590620
  Global policy                 16384
  Per endpoint policy           65536
  Session affinity              65536
  Signal                        16
  Sockmap                       65535
  Sock reverse NAT              295310
  Tunnel                        65536
Encryption:   Disabled
```

#### Cilium environment keys

```
ipv6-cluster-alloc-cidr:f00d::/64
arping-refresh-period:30s
force-local-policy-eval-at-source:true
identity-allocation-mode:crd
conntrack-gc-interval:0s
derive-masquerade-ip-addr-from-device:
enable-mke:false
bpf-lb-dsr-dispatch:opt
identity-restore-grace-period:10m0s
bpf-lb-sock-hostns-only:false
bpf-lb-dev-ip-addr-inherit:
hubble-metrics:
hubble-listen-address::4244
monitor-aggregation-flags:all
log-opt:
lib-dir:/var/lib/cilium
native-routing-cidr:
enable-endpoint-routes:false
enable-l7-proxy:true
enable-health-checking:true
disable-endpoint-crd:false
nat46-range:0:0:0:0:0:FFFF::/96
monitor-aggregation:medium
hubble-metrics-server:
bpf-ct-global-tcp-max:524288
enable-k8s-terminating-endpoint:true
enable-custom-calls:false
tofqdns-proxy-response-max-delay:100ms
log-system-load:false
allow-icmp-frag-needed:true
enable-k8s-event-handover:false
mke-cgroup-mount:
enable-selective-regeneration:true
bpf-ct-timeout-service-tcp:6h0m0s
endpoint-gc-interval:5m0s
bpf-lb-map-max:65536
ipv6-mcast-device:
kvstore-periodic-sync:5m0s
crd-wait-timeout:5m0s
enable-bpf-tproxy:false
enable-svc-source-range-check:true
enable-ipv4-masquerade:true
preallocate-bpf-maps:false
bpf-sock-rev-map-max:262144
egress-multi-home-ip-rule-compat:false
pprof-port:6060
proxy-connect-timeout:1
bpf-root:
state-dir:/var/run/cilium
bgp-config-path:/var/lib/cilium/bgp/config.yaml
enable-k8s-api-discovery:false
enable-k8s-endpoint-slice:true
http-request-timeout:3600
disable-iptables-feeder-rules:
single-cluster-route:false
enable-xdp-prefilter:false
k8s-require-ipv4-pod-cidr:false
trace-payloadlen:128
enable-policy:default
enable-bpf-clock-probe:true
auto-direct-node-routes:false
join-cluster:false
prepend-iptables-chains:true
ipv4-pod-subnets:
bpf-lb-mode:snat
ipsec-key-file:
datapath-mode:veth
restore:true
exclude-local-address:
bpf-ct-timeout-regular-tcp-syn:1m0s
hubble-event-queue-size:0
vlan-bpf-bypass:
enable-bandwidth-manager:false
k8s-sync-timeout:3m0s
k8s-service-proxy-name:
enable-ipv4-fragment-tracking:true
bpf-lb-maglev-table-size:16381
ipv6-range:auto
bpf-ct-timeout-regular-tcp:6h0m0s
cilium-endpoint-gc-interval:5m0s
enable-l2-neigh-discovery:true
ipv4-service-loopback-address:169.254.42.1
tofqdns-endpoint-max-ip-per-hostname:50
ipv4-service-range:auto
enable-identity-mark:true
labels:
policy-queue-size:100
encrypt-interface:
bpf-lb-dsr-l4-xlate:frontend
debug:false
enable-hubble:true
tofqdns-pre-cache:
proxy-gid:1337
bpf-ct-timeout-regular-any:1m0s
bpf-nat-global-max:524288
http-idle-timeout:0
kvstore-connectivity-timeout:2m0s
enable-session-affinity:true
enable-host-legacy-routing:false
policy-audit-mode:false
node-port-algorithm:random
keep-config:false
allow-localhost:auto
bpf-lb-acceleration:disabled
cluster-id:
agent-labels:
k8s-service-cache-size:128
hubble-disable-tls:false
ipv6-node:auto
bpf-neigh-global-max:524288
metrics:
hubble-tls-client-ca-files:/var/lib/cilium/tls/hubble/client-ca.crt
kvstore-max-consecutive-quorum-errors:2
api-rate-limit:
enable-host-reachable-services:false
enable-ipsec:false
kvstore-lease-ttl:15m0s
bpf-lb-algorithm:random
sidecar-istio-proxy-image:cilium/istio_proxy
local-router-ipv6:
bpf-fragments-map-max:8192
bpf-lb-external-clusterip:false
hubble-export-file-max-size-mb:10
allocator-list-timeout:3m0s
tunnel-port:0
http-retry-count:3
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
disable-conntrack:false
http-retry-timeout:0
enable-cilium-endpoint-slice:false
hubble-recorder-storage-path:/var/run/cilium/pcaps
tofqdns-max-deferred-connection-deletes:10000
pprof:false
gops-port:9890
host-reachable-services-protos:
auto-create-cilium-node-resource:true
kvstore:
cflags:
annotate-k8s-node:true
enable-remote-node-identity:true
bgp-announce-pod-cidr:false
proxy-prometheus-port:0
prometheus-serve-addr:
ipv6-pod-subnets:
enable-auto-protect-node-port-range:true
clustermesh-config:/var/lib/cilium/clustermesh/
k8s-namespace:kube-system
enable-ip-masq-agent:false
enable-xt-socket-fallback:true
bpf-ct-global-any-max:262144
enable-recorder:false
enable-icmp-rules:false
enable-wireguard:false
tofqdns-idle-connection-grace-period:0s
enable-node-port:true
enable-service-topology:false
bpf-ct-timeout-service-any:1m0s
cmdref:
iptables-random-fully:false
ipam:kubernetes
node-port-bind-protection:true
endpoint-queue-size:25
custom-cni-conf:false
policy-trigger-interval:1s
ipv6-service-range:auto
kvstore-opt:
fqdn-regex-compile-lru-size:1024
ipv4-range:auto
cluster-name:default
bpf-lb-rss-ipv6-src-cidr:
kube-proxy-replacement-healthz-bind-address:
enable-local-node-route:true
version:false
bpf-lb-bypass-fib-lookup:false
cgroup-root:/run/cilium/cgroupv2
egress-masquerade-interfaces:
unmanaged-pod-watcher-interval:15
endpoint-interface-name-prefix:lxc+
write-cni-conf-when-ready:
mtu:0
k8s-kubeconfig-path:
max-controller-interval:0
k8s-require-ipv6-pod-cidr:false
ip-allocation-timeout:2m0s
install-iptables-rules:true
bpf-lb-maglev-hash-seed:JLfvgnHc2kaSUFaI
enable-ipv6:false
node-port-acceleration:disabled
hubble-tls-cert-file:/var/lib/cilium/tls/hubble/server.crt
nodes-gc-interval:5m0s
ipvlan-master-device:undefined
node-port-mode:snat
route-metric:0
http-normalize-path:true
tofqdns-enable-dns-compression:true
read-cni-conf:
hubble-event-buffer-capacity:4095
hubble-export-file-compress:false
enable-ipv4-egress-gateway:false
envoy-log:
bpf-ct-timeout-regular-tcp-fin:10s
k8s-api-server:
enable-tracing:false
endpoint-status:
identity-change-grace-period:5s
certificates-directory:/var/run/cilium/certs
set-cilium-is-up-condition:true
tofqdns-proxy-port:0
devices:
bypass-ip-availability-upon-restore:false
operator-api-serve-addr:127.0.0.1:9234
enable-health-check-nodeport:true
http-403-msg:
enable-external-ips:true
hubble-export-file-max-backups:5
debug-verbose:
log-driver:
bgp-announce-lb-ip:false
ip-masq-agent-config-path:/etc/config/ip-masq-agent
enable-hubble-recorder-api:true
bpf-map-dynamic-size-ratio:0.0025
enable-bpf-masquerade:false
socket-path:/var/run/cilium/cilium.sock
remove-cilium-node-taints:true
monitor-queue-size:0
disable-envoy-version-check:false
encrypt-node:false
enable-ipv6-ndp:false
enable-host-firewall:false
sockops-enable:false
tofqdns-min-ttl:0
agent-health-port:9876
dns-max-ips-per-restored-rule:1000
disable-cnp-status-updates:true
fixed-identity-mapping:
hubble-socket-path:/var/run/cilium/hubble.sock
kube-proxy-replacement:partial
hubble-tls-key-file:/var/lib/cilium/tls/hubble/server.key
enable-monitor:true
local-router-ipv4:
ipv4-native-routing-cidr:
prefilter-mode:native
bpf-lb-rss-ipv4-src-cidr:
enable-ipv4:true
enable-host-port:true
node-port-range:
hubble-export-file-path:
k8s-heartbeat-timeout:30s
tofqdns-dns-reject-response-code:refused
monitor-aggregation-interval:5s
enable-well-known-identities:false
install-no-conntrack-iptables-rules:false
enable-local-redirect-policy:false
config:
iptables-lock-timeout:5s
enable-endpoint-health-checking:true
label-prefix-file:
config-dir:/tmp/cilium/config-map
hubble-recorder-sink-queue-size:1024
ipv4-node:auto
enable-wireguard-userspace-fallback:false
enable-ipv6-masquerade:true
prefilter-device:undefined
bpf-policy-map-max:16384
cluster-health-port:4240
http-max-grpc-timeout:0
direct-routing-device:
tunnel:vxlan
```


#### Service list

```
ID   Frontend             Service Type   Backend                 
1    10.43.159.128:80     ClusterIP      1 => 10.42.0.156:4245   
2    10.43.145.99:80      ClusterIP      1 => 10.42.0.182:8081   
3    10.43.0.1:443        ClusterIP      1 => 172.27.0.2:6443    
4    10.43.0.10:53        ClusterIP      1 => 10.42.0.141:53     
5    10.43.0.10:9153      ClusterIP      1 => 10.42.0.141:9153   
6    10.43.41.165:443     ClusterIP      1 => 10.42.0.63:443     
7    10.43.192.152:4254   ClusterIP      1 => 172.27.0.3:4244    
                                         2 => 172.27.0.2:4244    
8    10.43.33.249:4244    ClusterIP      1 => 10.42.0.182:8081   
9    172.27.0.2:32033     NodePort       1 => 10.42.0.182:8081   
10   0.0.0.0:32033        NodePort       1 => 10.42.0.182:8081   
11   172.27.0.2:4244      LoadBalancer   1 => 10.42.0.182:8081   
12   0.0.0.0:4244         HostPort       1 => 10.42.1.98:4244    
13   172.27.0.3:4244      LoadBalancer   1 => 10.42.0.182:8081   
```

#### Policy get

```
:
 []
Revision: 1

```


#### ipam

```
<nil>
```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0xc000826848)({
 Events: (chan k8s.ServiceEvent) (cap=128) 0xc0003b5e60,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (int32) 1,
    readerWait: (int32) 0
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=7) {
  (k8s.ServiceID) kube-system/hubble-ui-ext: (*k8s.Service)(0xc0006ecbd0)(frontends:[10.43.33.249]/ports=[http]/selector=map[k8s-app:hubble-ui]),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.Service)(0xc0008ac000)(frontends:[10.43.159.128]/ports=[]/selector=map[k8s-app:hubble-relay]),
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.Service)(0xc0008ac090)(frontends:[10.43.145.99]/ports=[http]/selector=map[k8s-app:hubble-ui]),
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0xc0008ac120)(frontends:[10.43.0.1]/ports=[https]/selector=map[]),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0xc0008ac1b0)(frontends:[10.43.0.10]/ports=[dns dns-tcp metrics]/selector=map[k8s-app:kube-dns]),
  (k8s.ServiceID) kube-system/metrics-server: (*k8s.Service)(0xc0008ac240)(frontends:[10.43.41.165]/ports=[]/selector=map[k8s-app:metrics-server]),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.Service)(0xc0008ac2d0)(frontends:[10.43.192.152]/ports=[peer-service]/selector=map[k8s-app:cilium])
 },
 endpoints: (map[k8s.ServiceID]*k8s.EndpointSlices) (len=7) {
  (k8s.ServiceID) kube-system/hubble-ui-ext: (*k8s.EndpointSlices)(0xc00113e198)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=19) "hubble-ui-ext-fqhg5": (*k8s.Endpoints)(0xc00113e190)(10.42.0.182:8081/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.EndpointSlices)(0xc00100e008)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=15) "hubble-ui-xn9hz": (*k8s.Endpoints)(0xc000720870)(10.42.0.182:8081/TCP)
   }
  }),
  (k8s.ServiceID) default/kubernetes: (*k8s.EndpointSlices)(0xc000976008)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=10) "kubernetes": (*k8s.Endpoints)(0xc000976000)(172.27.0.2:6443/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/metrics-server: (*k8s.EndpointSlices)(0xc000976028)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=20) "metrics-server-ppn8w": (*k8s.Endpoints)(0xc000bda420)(10.42.0.63:443/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.EndpointSlices)(0xc000976048)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=14) "kube-dns-x2qrm": (*k8s.Endpoints)(0xc000720148)(10.42.0.141:53/TCP,10.42.0.141:53/UDP,10.42.0.141:9153/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.EndpointSlices)(0xc000976068)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=17) "hubble-peer-gv9pz": (*k8s.Endpoints)(0xc00076e1a8)(172.27.0.2:4244/TCP,172.27.0.3:4244/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.EndpointSlices)(0xc000976088)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "hubble-relay-6lkdt": (*k8s.Endpoints)(0xc000720020)(10.42.0.156:4245/TCP)
   }
  })
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 },
 nodeAddressing: (*linux.linuxNodeAddressing)(0x4cb7c58)({
  ipv6: (linux.addressFamilyIPv6) {
  },
  ipv4: (linux.addressFamilyIPv4) {
  }
 }),
 selfNodeZoneLabel: (string) ""
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### ongoing-endpoint-creations


#### Cilium version

```
1.11.5 b0d3140 2022-05-10T02:47:42+02:00 go version go1.17.9 linux/amd64
```


#### Kernel version

```
5.13.0
```


#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])                                                  IPv6   IPv4         STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                                                                   
618        Disabled           Disabled          1          k8s:node-role.kubernetes.io/control-plane=true                                                   ready   
                                                           k8s:node-role.kubernetes.io/master=true                                                                  
                                                           k8s:node.kubernetes.io/instance-type=k3s                                                                 
                                                           reserved:host                                                                                            
964        Disabled           Disabled          4          reserved:health                                                                     10.42.1.50   ready   
2403       Disabled           Disabled          60355      k8s:app=svclb-hubble-ui-ext                                                         10.42.1.98   ready   
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system                               
                                                           k8s:io.cilium.k8s.policy.cluster=default                                                                 
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                                          
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                              
                                                           k8s:svccontroller.k3s.cattle.io/svcname=hubble-ui-ext                                                    
```

#### BPF Policy Get 618

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         0       0         
Allow    Egress      0          ANY          NONE         0       0         

```


#### BPF CT List 618

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00618: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00618: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00618: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00618: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00618: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00618: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00618: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00618: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 618

```
[
  {
    "id": 618,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-618-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "9dc11fc4-32a2-490a-a5ed-827ea482d987"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-618",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:30:59.483Z",
            "success-count": 3
          },
          "uuid": "996c0420-bbfb-401c-baef-8c0739cd5ef3"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-618",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:23.980Z",
            "success-count": 21
          },
          "uuid": "b1d63e05-d559-45a5-a663-c822ab0e7597"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (618)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:39.531Z",
            "success-count": 78
          },
          "uuid": "9a5e5430-17eb-4f03-8094-521701319aa8"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1,
        "labels": [
          "k8s:node-role.kubernetes.io/master=true",
          "k8s:node-role.kubernetes.io/control-plane=true",
          "k8s:node.kubernetes.io/instance-type=k3s",
          "reserved:host"
        ],
        "labelsSHA256": "70feeb3cc58123a317820f99a81caf91b917abd454a3053861d4028031f81fbd"
      },
      "labels": {
        "derived": [
          "k8s:node-role.kubernetes.io/control-plane=true",
          "k8s:node-role.kubernetes.io/master=true",
          "k8s:node.kubernetes.io/instance-type=k3s",
          "reserved:host"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:node-role.kubernetes.io/control-plane=true",
          "k8s:node-role.kubernetes.io/master=true",
          "k8s:node.kubernetes.io/instance-type=k3s",
          "reserved:host"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2022-06-09T14:21:23Z"
        }
      ],
      "networking": {
        "addressing": [
          {}
        ],
        "host-mac": "8a:58:64:6a:cf:ae",
        "interface-name": "cilium_host",
        "mac": "8a:58:64:6a:cf:ae"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 618

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 618

```
Timestamp              Status   State                   Message
2022-06-09T14:21:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2022-06-09T14:21:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:23Z   OK       regenerating            Regenerating endpoint: 
2022-06-09T14:21:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-09T14:21:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:22Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:21Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:21Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:21Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:21Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:10Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2022-06-09T14:21:10Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:10Z   OK       regenerating            Regenerating endpoint: 
2022-06-09T14:21:10Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-09T14:21:09Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:09Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:09Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:09Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:08Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:08Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:08Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:08Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:06Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:06Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:05Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:05Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2022-06-09T14:21:04Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:20:59Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-06-09T14:20:59Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-06-09T14:20:59Z   OK       ready                   Set identity for this endpoint
2022-06-09T14:20:59Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 1

```
ID   LABELS
1    reserved:host
     reserved:kube-apiserver

```


#### BPF Policy Get 964

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         7289    92        
Allow    Ingress     1          ANY          NONE         10085   116       
Allow    Egress      0          ANY          NONE         14274   176       

```


#### BPF CT List 964

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00964: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00964: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00964: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00964: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00964: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00964: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00964: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00964: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 964

```
[
  {
    "id": 964,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-964-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "cc1a0984-6791-4e69-8d9d-e8cd3204aeda"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-964",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:31:00.584Z",
            "success-count": 3
          },
          "uuid": "83cfd58f-dcda-4855-a565-ab6834269b00"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-964",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:23.980Z",
            "success-count": 21
          },
          "uuid": "b686d98e-8425-46c7-8e7f-eeb3998c42cf"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (964)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:40.633Z",
            "success-count": 78
          },
          "uuid": "fe3e9b76-576c-4f6a-a2a8-8684ed321dee"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ],
        "labelsSHA256": "9f122da90704e5177f344e0582800e43b05842f9f6b1812cf4690aade0915275"
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2022-06-09T14:21:23Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.42.1.50"
          }
        ],
        "host-mac": "b6:3b:fb:22:05:43",
        "interface-index": 6,
        "interface-name": "lxc_health",
        "mac": "02:33:05:48:7b:74"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 964

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 964

```
Timestamp              Status   State                   Message
2022-06-09T14:21:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2022-06-09T14:21:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:23Z   OK       regenerating            Regenerating endpoint: 
2022-06-09T14:21:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-09T14:21:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:22Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:21Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:21Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:21Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:21Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:10Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2022-06-09T14:21:10Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:10Z   OK       regenerating            Regenerating endpoint: 
2022-06-09T14:21:10Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-09T14:21:09Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:09Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:09Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:09Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:08Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:08Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:08Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:08Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:06Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:06Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:05Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:05Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:05Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:05Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2022-06-09T14:21:04Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:00Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-06-09T14:21:00Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-06-09T14:21:00Z   OK       ready                   Set identity for this endpoint
2022-06-09T14:20:59Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```


#### BPF Policy Get 2403

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         0       0         
Allow    Ingress     1          ANY          NONE         0       0         
Allow    Egress      0          ANY          NONE         0       0         

```


#### BPF CT List 2403

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_02403: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_02403: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_02403: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_02403: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_02403: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_02403: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_02403: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_02403: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 2403

```
[
  {
    "id": 2403,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-2403-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "c89114e0-cf7a-49ef-ad04-3edb4e9f9ac0"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-2403",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:31:21.972Z",
            "success-count": 3
          },
          "uuid": "7c007086-fecf-4616-b6f9-16364de12f70"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-2403",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:23.980Z",
            "success-count": 15
          },
          "uuid": "5e5badcd-9a96-4307-9fc0-a517fefaddeb"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (2403)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-09T14:33:42.028Z",
            "success-count": 76
          },
          "uuid": "4bb9c96c-6e1f-4a73-bddf-5a7ab1b4373e"
        }
      ],
      "external-identifiers": {
        "container-id": "9ccaac97cda7d6e56d773e0ffafacb6f5870ee524de51291f239ec4d1901cc67",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "svclb-hubble-ui-ext-xxrnc",
        "pod-name": "kube-system/svclb-hubble-ui-ext-xxrnc"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 60355,
        "labels": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:svccontroller.k3s.cattle.io/svcname=hubble-ui-ext",
          "k8s:app=svclb-hubble-ui-ext",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=default"
        ],
        "labelsSHA256": "ea1183e31b6a8f7ebc14d03ad7e5e742cf9d1ddcf6acc87fc3c6390782999741"
      },
      "labels": {
        "derived": [
          "k8s:controller-revision-hash=6d4cf5bf7b",
          "k8s:pod-template-generation=1"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:app=svclb-hubble-ui-ext",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:svccontroller.k3s.cattle.io/svcname=hubble-ui-ext"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2022-06-09T14:21:23Z"
        }
      ],
      "namedPorts": [
        {
          "name": "lb-port-4244",
          "port": 4244,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.42.1.98"
          }
        ],
        "host-mac": "da:a3:48:86:57:a9",
        "interface-index": 8,
        "interface-name": "lxce6436419344d",
        "mac": "ba:ba:d0:13:14:64"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 60355,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 60355,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 2403

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 2403

```
Timestamp              Status   State                   Message
2022-06-09T14:21:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2022-06-09T14:21:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:23Z   OK       regenerating            Regenerating endpoint: 
2022-06-09T14:21:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-09T14:21:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-09T14:21:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:22Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-09T14:21:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-09T14:21:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-06-09T14:21:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-09T14:21:21Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-06-09T14:21:21Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2022-06-09T14:21:21Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-06-09T14:21:21Z   OK       ready                   Set identity for this endpoint
2022-06-09T14:21:21Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 60355

```
ID      LABELS
60355   k8s:app=svclb-hubble-ui-ext
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:svccontroller.k3s.cattle.io/svcname=hubble-ui-ext

```


#### Cilium memory map


```
00400000-022c1000 r-xp 00000000 08:02 1855888                            /usr/bin/cilium-agent
022c1000-04647000 r--p 01ec1000 08:02 1855888                            /usr/bin/cilium-agent
04647000-04745000 rw-p 04247000 08:02 1855888                            /usr/bin/cilium-agent
04745000-04ece000 rw-p 00000000 00:00 0 
c000000000-c000600000 rw-p 00000000 00:00 0 
c000600000-c000800000 rw-p 00000000 00:00 0 
c000800000-c002000000 rw-p 00000000 00:00 0 
c002000000-c002c00000 rw-p 00000000 00:00 0 
c002c00000-c004000000 ---p 00000000 00:00 0 
7f87f6488000-7f87f6528000 rw-p 00000000 00:00 0 
7f87f6528000-7f87f6569000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f6569000-7f87f65aa000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f65aa000-7f87f65eb000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f65eb000-7f87f662c000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f662c000-7f87f666d000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f666d000-7f87f66ae000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f66ae000-7f87f66ef000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f66ef000-7f87f6730000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f6730000-7f87f6771000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f6771000-7f87f67b2000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f67b2000-7f87f67f3000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f67f3000-7f87f6834000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f6834000-7f87f6875000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f6875000-7f87f68b6000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f68b6000-7f87f68f7000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f68f7000-7f87f6938000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f6938000-7f87f693a000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f693a000-7f87f693c000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f693c000-7f87f693e000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f693e000-7f87f6940000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f6940000-7f87f6942000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f6942000-7f87f6944000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f6944000-7f87f6946000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f6946000-7f87f6948000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f6948000-7f87f694a000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f694a000-7f87f694c000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f694c000-7f87f694e000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f694e000-7f87f6950000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f6950000-7f87f6952000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f6952000-7f87f6954000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f6954000-7f87f6956000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f6956000-7f87f6958000 rw-s 00000000 00:0e 12520                      anon_inode:[perf_event]
7f87f6958000-7f87f935f000 rw-p 00000000 00:00 0 
7f87f935f000-7f88094df000 ---p 00000000 00:00 0 
7f88094df000-7f88094e0000 rw-p 00000000 00:00 0 
7f88094e0000-7f881b38f000 ---p 00000000 00:00 0 
7f881b38f000-7f881b390000 rw-p 00000000 00:00 0 
7f881b390000-7f881d765000 ---p 00000000 00:00 0 
7f881d765000-7f881d766000 rw-p 00000000 00:00 0 
7f881d766000-7f881dbdf000 ---p 00000000 00:00 0 
7f881dbdf000-7f881dbe0000 rw-p 00000000 00:00 0 
7f881dbe0000-7f881dc5f000 ---p 00000000 00:00 0 
7f881dc5f000-7f881dcbf000 rw-p 00000000 00:00 0 
7fff427f4000-7fff42815000 rw-p 00000000 00:00 0                          [stack]
7fff42899000-7fff4289d000 r--p 00000000 00:00 0                          [vvar]
7fff4289d000-7fff4289f000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 --xp 00000000 00:00 0                  [vsyscall]

```

